Bug 628410 - [abrt] hamster-applet-2.30.2-1.fc13: configuration.py:31:<module>:ImportError: No module named xdg.BaseDirectory
Summary: [abrt] hamster-applet-2.30.2-1.fc13: configuration.py:31:<module>:ImportError...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hamster-applet
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mads Villadsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:83d0be5f
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-29 23:40 UTC by Sergey Bostandzhyan
Modified: 2010-09-09 04:30 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-09-09 04:30:44 UTC


Attachments (Terms of Use)
File: backtrace (6.60 KB, text/plain)
2010-08-29 23:40 UTC, Sergey Bostandzhyan
no flags Details

Description Sergey Bostandzhyan 2010-08-29 23:40:10 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: python /usr/bin/hamster-standalone
component: hamster-applet
executable: /usr/bin/hamster-standalone
kernel: 2.6.33.8-149.fc13.x86_64
package: hamster-applet-2.30.2-1.fc13
reason: configuration.py:31:<module>:ImportError: No module named xdg.BaseDirectory
release: Fedora release 13 (Goddard)
time: 1283124893
uid: 500

How to reproduce
-----
Just upgraded from Fedora 12 to Fedora 13, could not add the Hamster applet to the gnome 
panel, so tried runnin hamster-standalone version - got the error above.

Uninstalled and reinstalled hamster-applet via yum - same error. Seems that the hamster-applet rpm 
is missing a dependency on pyxdg.

Installed pyxdg manually, then the problem disappeared.

Comment 1 Sergey Bostandzhyan 2010-08-29 23:40:13 UTC
Created an attachment (id=441852)
File: backtrace

Comment 2 Fedora Update System 2010-08-31 11:50:07 UTC
hamster-applet-2.31.91-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hamster-applet-2.31.91-1.fc14

Comment 3 Fedora Update System 2010-08-31 20:20:08 UTC
hamster-applet-2.31.91-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hamster-applet'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/hamster-applet-2.31.91-1.fc14

Comment 4 Fedora Update System 2010-09-09 04:30:39 UTC
hamster-applet-2.31.91-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.